# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(Test.pm) staden-io_lib-devel zlib-devel
# END SourceDeps(oneline)
%define module_version 1.03
%define module_name Bio-SCF
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.03
Release: alt8
Summary: Perl extension for reading and writting SCF sequence files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LD/LDS/%module_name-%module_version.tar.gz

%description
This module provides a perl interface to SCF DNA sequencing files. It
has both tied hash and an object-oriented interfaces. It provides the
ability to read fields from SCF files and limited ability to modify
them and write them back.


%prep
%setup -n %module_name-%module_version

%if "%version" == "1.03"
%define _without_test 1
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc DISCLAIMER README Changes
%perl_vendor_archlib/B*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.03-alt8
- rebuild with perl 5.38

* Thu Feb 23 2023 Cronbuild Service <cronbuild@altlinux.org> 1.03-alt7
- rebuild to get rid of unmets

* Thu Jul 15 2021 Igor Vlasenko <viy@altlinux.org> 1.03-alt6
- rebuild with perl 5.34

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.03-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.03-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.03-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.03-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.03-alt2
- rebuild to get rid of unmets

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1
- initial import by package builder

